Skip to content

Update Conversation

Request

Called at the end of a synchronization run to push the latest derived data into the Customer's system.

Security
BearerAuth
Bodyapplication/json
conversation_idstring

ID of the conversation to update

Example:"conv_456"
titlestring or null

Conversation title

Example:"Pricing inquiry - resolved"
tagsArray of strings

List of tags associated with the conversation in your system. Can be used to power routing within the Fin workflow among other things.

Example:
[ "pricing", "sales" ]
attributesobject(ConversationAttributes)

Attributes associated with the conversation

Example:
{ "issue_type": "Billing", "priority": "High" }

Current conversation status:

  • open - Conversation is actively ongoing with the end-user
  • resolved - Conversation is resolved by Fin
  • closed - Conversation is finished/archived
  • ended - Conversation is ended by the end-user or agent
Enum:"open""resolved""closed""ended"
Example:"resolved"
assignee_idstring

Agent ID (Fin agent). Set to null when handing over to a human agent.

Example:"agent_fin"
last_user_read_atstring or null, (date-time)

When user last read the conversation

Example:"2025-10-27T15:45:00.000Z"
userobject(UserBasic)

Basic user information for requests

POST
/update_conversation
curl -i -X POST \
  https://helpdesk.example.com/api/fin/update_conversation \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "conversation_id": "conv_456",
    "title": "Pricing inquiry - resolved",
    "tags": [
      "pricing",
      "sales"
    ],
    "attributes": {
      "issue_type": "Billing",
      "priority": "High"
    },
    "status": "resolved",
    "assignee_id": "agent_fin",
    "last_user_read_at": "2025-10-27T15:45:00.000Z",
    "user": {
      "id": "user_123456",
      "name": "Jane Doe",
      "email": "jane.doe@example.com",
      "photo_url": "https://example.com/avatars/jane.jpg",
      "user_type": "end_user",
      "attributes": {
        "plan_type": "enterprise",
        "signup_date": "2024-01-15",
        "is_premium": true
      }
    }
  }'

Responses

Conversation updated successfully

Bodyapplication/json
dataobject(Conversation)
errorobject or null(ProblemDetails)

The error returned by the API. This is an RFC 7807 problem details object: https://www.rfc-editor.org/rfc/rfc7807.html.

Response
{ "data": { "id": "conv_456", "title": "Pricing inquiry - resolved", "status": "ended", "user": { … }, "tags": [ … ], "assignee": { … }, "created_at": "2025-10-27T14:30:00.000Z", "updated_at": "2025-10-27T14:30:00.000Z" } }